Bug 232398 - Change default version of PHP to 7.2
Summary: Change default version of PHP to 7.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Jochen Neumeister
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-18 17:49 UTC by Jochen Neumeister
Modified: 2018-10-23 08:18 UTC (History)
6 users (show)

See Also:
antoine: exp-run+


Attachments
Patch to change default version of PHP (454 bytes, patch)
2018-10-18 17:49 UTC, Jochen Neumeister
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jochen Neumeister freebsd_committer 2018-10-18 17:49:49 UTC
Created attachment 198312 [details]
Patch to change default version of PHP

The current version of PHP is 7.1
This is EOL at the end of 2018. I talked to @tz. We would switch to PHP 7.2.
@tz is unfortunately busy. That's how I'll take it. Currently Maintaine I also use the PHP ports. I think an exp-run is needed.
Comment 1 Antoine Brodin freebsd_committer 2018-10-21 08:17:09 UTC
From http://php.net/supported-versions.php ,  7.1 has security support until 1 Dec 2019.

5.6 and 7.0 should be deprecated with an expiration date.
Comment 2 commit-hook freebsd_committer 2018-10-21 11:17:34 UTC
A commit references this bug:

Author: antoine
Date: Sun Oct 21 11:17:16 UTC 2018
New revision: 482665
URL: https://svnweb.freebsd.org/changeset/ports/482665

Log:
  Ignore some ports with some versions of php

  PR:		232398

Changes:
  head/devel/pecl-pthreads2/Makefile
  head/lang/php56/Makefile.ext
  head/lang/php56-extensions/Makefile
  head/lang/php70/Makefile.ext
  head/lang/php70-extensions/Makefile
  head/lang/php71/Makefile.ext
  head/lang/php71-extensions/Makefile
  head/lang/php72/Makefile.ext
  head/lang/php72-extensions/Makefile
  head/net-mgmt/cacti88/Makefile
  head/net-mgmt/hawk/Makefile
  head/net-mgmt/phpip/Makefile
  head/net-mgmt/zabbix32-frontend/Makefile
  head/security/phpdeadlock/Makefile
  head/www/phprecipebook/Makefile
  head/www/revive-adserver/Makefile
Comment 3 commit-hook freebsd_committer 2018-10-21 14:35:14 UTC
A commit references this bug:

Author: joneum
Date: Sun Oct 21 14:34:39 UTC 2018
New revision: 482677
URL: https://svnweb.freebsd.org/changeset/ports/482677

Log:
  Security Support for PHP 7.0 ends on 3 Dec 2018

  http://php.net/supported-versions.php

  PR:		232398
  Approved by:	tz (implicit)
  Sponsored by:	Netzkommune GmbH

Changes:
  head/lang/php70/Makefile
Comment 4 Jochen Neumeister freebsd_committer 2018-10-21 14:39:09 UTC
Add ale@ about EOL for PHP 5.6
PHP 7.0 is now marked as EOL
Comment 5 Antoine Brodin freebsd_committer 2018-10-21 19:25:08 UTC
Exp-run looks fine.
Comment 6 commit-hook freebsd_committer 2018-10-22 14:04:17 UTC
A commit references this bug:

Author: joneum
Date: Mon Oct 22 14:04:04 UTC 2018
New revision: 482746
URL: https://svnweb.freebsd.org/changeset/ports/482746

Log:
  Switch default PHP version from 7.1 to 7.2

  PR:		232398
  Reviewed by:	joneum
  Approved by:	tz (implicit)
  Exp-run by:	antoine
  Sponsored by:	Netzkommune GmbH

Changes:
  head/Mk/bsd.default-versions.mk
  head/UPDATING
Comment 7 Marko Cupać 2018-10-23 08:18:04 UTC
(In reply to commit-hook from comment #6)

I can't say I'm happy about the change, mostly because I think it is too early. 7.1 was made default less than two months ago. I think default versions shouldn't be changed on a monthly basis.